- NAME
- DESCRIPTION
- SYNOPSIS
- CONFIGURATION

# NAME

RT::Authen::ExternalAuth::DBI::Cookie - Database-backed, cookie SSO source for RT authentication

# DESCRIPTION

Provides the Cookie implementation for RT::Authen::ExternalAuth.

# SYNOPSIS

        Set($ExternalSettings, {
            # An example SSO cookie service
            'My_SSO_Cookie'  => {
                'type'            =>  'cookie',
                'name'            =>  'loginCookieValue',
                'u_table'         =>  'users',
                'u_field'         =>  'username',
                'u_match_key'     =>  'userID',
                'c_table'         =>  'login_cookie',
                'c_field'         =>  'loginCookieValue',
                'c_match_key'     =>  'loginCookieUserID',
                'db_service_name' =>  'My_MySQL'
            },
            'My_MySQL' => {
                ...
            },
        } );

# CONFIGURATION

Cookie-specific options are described here. Shared options are described in RT::Authen::ExternalAuth::DBI.

The example in the "SYNOPSIS" lists all available options and they are described below.

name

  The name of the cookie to be used.

u_table

  The users table.

u_field

  The username field in the users table.

u_match_key

  The field in the users table that uniquely identifies a user and also exists in the cookies table. See c_match_key below.

c_table

  The cookies table.

c_field

  The field that stores cookie values.

c_match_key

  The field in the cookies table that uniquely identifies a user and also exists in the users table. See u_match_key above.

db_service_name

  The DB service in this configuration to use to lookup the cookie information. See RT::Authen::ExternalAuth::DBI.

← Back to index